#include "ExpanderModule.hpp"
#include "ExpanderCommand.hpp"

ExpanderModule::ExpanderModule(string className) : ModuleBaseClass(className)
{
    //Add NEW command, new ExpanderCommand(command name, HELP message)
    addCommand(new ExpanderCommand(CMD_LIST,     "List Supported Expander Device"));
    addCommand(new ExpanderCommand(CMD_SHOW,     "Show Expander Device Information"));
    addCommand(new ExpanderCommand(CMD_UTILITY,  "Reset Expander"));
    addCommand(new ExpanderCommand(CMD_ERROR,    "Get Error Statistics from Expander device"));
}

ExpanderModule::~ExpanderModule()
{

}
