#ifndef EXPANDER_DAPI_H
#define EXPANDER_DAPI_H

#include "BaseClassDAPI.hpp"
#include "ExpanderDDAPI.hpp"


class ExpanderDAPI : public BaseClassDAPI
{
    public: 
                            ExpanderDAPI(STRING className);
            virtual         ~ExpanderDAPI(void);
            
            void            listDevice(EXP_DEVICE devType);
            ErrorMsg*       getLogicalIDByName(string wellKnownName, UINT32 *logicalID);
            ErrorMsg*       showData(UINT32 logicalID, EXP_DATAELEMENT dataElement);
            ErrorMsg*       reset(UINT32 logicalID);
            ErrorMsg*       showErrorData(UINT32 logicalID, EXP_ERRORELEMENT dataElement);
            ErrorMsg*       clearPHYError();

    protected:

    private:
            ExpanderDDAPI    *m_expDriver;

};

#endif
