/// @file       MemoryTempFile.hpp
/// @brief      Definitions about Memory's temporary files
/// @details    Definitions about Memory's temporary files
/// @author     KenHu
/// @copyright  Copyright 2015-2016 Hon Hai Technology Group. All Rights Reserved.

#ifndef MEMORY_TEMP_FILE_HPP
#define MEMORY_TEMP_FILE_HPP

/// @def        MEMORY_TEMP_FILE_DIR
///             Directory for temporary files
#define MEMORY_TEMP_FILE_DIR        TEMP_CONFIG_DIR"mem/"
/// @def        TEMP_FILE_MEMORY_LAYOUT
///             Temporary file for memory layouts
#define TEMP_FILE_MEMORY_LAYOUT     MEMORY_TEMP_FILE_DIR"layout"
/// @def        TEMP_FILE_TESTABLE_MEMORY
///             Temporary file for testable memory ranges
#define TEMP_FILE_TESTABLE_MEMORY   MEMORY_TEMP_FILE_DIR"testable"

#endif

