#ifndef CPU_OPERATION_H
#define CPU_OPERATION_H

#include <stdio.h>
#include <iostream>
#include <string>
#include "OperationBaseClass.hpp"
#include "ProcessorDAPI.hpp"

using namespace std;


class CPUOperation: public OperationBaseClass
{
    public:
                CPUOperation(OPERATION_TYPE, string);
       virtual  ~CPUOperation();

                //Decide which operation to be executed
                int  executeOperation(StringParser);

                //Operation implement here
                int  show(StringParser);
                int  stability(StringParser);
                int  read(StringParser);
                int  write(StringParser);
                int  getMCE(StringParser);

                //Show parameter message here
                int  Help_parameter(StringParser);

                //Check parameter syntax here
                int  Syntax_check(StringParser);

    private:

};

#endif
