#ifndef USB_OPERATION_H
#define USB_OPERATION_H

#include <stdio.h>
#include <iostream>
#include <string>
#include <thread>
#include "OperationBaseClass.hpp"
#include "USBDAPI.hpp"

//using namespace std;

//#define OPRATION_HELP  "help"

//Define opration type
/*
enum USB_OPRATION_TYPE {
    NO_OPRATION = 0,
    READ,
    WRITE,
};
*/

#define MAX_USB_DEVICE_AMOUNT 256


class USBOperation: public OperationBaseClass
{
    public:
                USBOperation(OPERATION_TYPE, string);
       virtual  ~USBOperation();

                //Decide which operation to be executed
                int  executeOperation(StringParser);

                //List USB device node
                int executeList(StringParser);

                //Show USB device characteristics
                int executeShow(StringParser);

                //Execute test command
                int executeTest(StringParser);

                //Show parameter message here
                int  helpParameter();

                //Check parameter syntax here
                int  checkSyntax(StringParser);
                
    private:
                OPERATION_TYPE  m_OperationType;
                thread         *m_pProgressHandler[MAX_USB_DEVICE_AMOUNT];
                void handleTestProgress(UINT32 in_u32TestSizeMB);
                USBDAPI         *m_pUSBDAPI;
};

#endif
