#ifndef RTC_DAPI_H
#define RTC_DAPI_H

#include "BaseClassDAPI.hpp"
#include "RTCDDAPI.hpp"


class RTCDAPI : public BaseClassDAPI
{
    public: 
                            RTCDAPI(STRING className);
            virtual         ~RTCDAPI(void);
            
            ErrorMsg*       showDateTime(void);
            ErrorMsg*       setDate(INT32 year, INT32 month, INT32 date, STRING day);
            ErrorMsg*       setTime(INT32 hour, INT32 minute, INT32 second);
            ErrorMsg*       setDateTime(INT32     year,
                                        INT32     month,
                                        INT32     date,
                                        STRING  day,
                                        INT32     hour,
                                        INT32     minute,
                                        INT32     second);
                                        
            ErrorMsg*       rtcAccuracyTest(void);
			ErrorMsg*       rtcWDTTest(void);

    protected:

    private:
            RTCDDAPI    *m_rtcDriver;
            UINT32      m_testTime;
            UINT32      m_timerCount;
};

#endif
